package com.emato.cus.supervise.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @author zengjunlin
 * @version 1.0
 * 2018-02-02 16:13
 */
public class Dict {

    // 操作员编号，固定
    public static final String operater = "user999999999999999999";

    // 园区账册号(改为货主金二账册编号，每个货主各一个)
    // public static final String localEmsNo = "I440366000315001";
    // 仓库使用企业名称
    public static final String storeCompanyName = "前海电商（深圳）供应链集团有限公司";
    // 仓库使用企业社会信用代码
    public static final String storeUscCode = "440301111758322";
    // 仓库使用企业海关编码
    public static final String storeCustomsCode = "4403660003";
    // 仓库编码
    public static final String storeCode = "534931948971720190717000256749";
    /**
     * 仓库在海关WMS监控系统中的备案编号
     * 每个仓库都有唯一一个编号
     */
    public static final Map<String, String> storeCodeMap = new HashMap<String, String>() {
        {
            // 默认前海仓
            put("Others", "534931948971720190717000256749");
            // 前海仓在海关WMS监控系统中的备案编号
            put("wbsn908608868987305984", "534931948971720190717000256749");
        }
    };

    /**
     * WMS库位对应OMS账册分类转换
     */
    public static final Map<String, String> emsClassTypeMap = new HashMap<String, String>(){
        {
            put("ZS", "zszc");  // 展示账册分类
            put("F", "fbwl");   // 非保账册分类
            put("Others", "kjds");  // 跨境电商账册分类
        }
    };

}
